"""
Configs migration

Generation datetime: 2020-12-02 11:49:08.955063
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "84fe2546"
DOWN_REVISION = "85d14bf9"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to add
    mh.addLimitation(
        limitationName="LUNA_MATCHER_PROXY_ACTIVE_PLUGINS",
        validationSchema={"type": "array", "items": {"type": "string"}},
        defaultValue=[],
        description="list active plugins of luna-matcher-proxy",
        services=["luna-matcher-proxy"],
        groupNames=["luna-platform"],
    )
    mh.addLimitation(
        limitationName="LUNA_PYTHON_MATCHER_ACTIVE_PLUGINS",
        validationSchema={"type": "array", "items": {"type": "string"}},
        defaultValue=[],
        description="list active plugins of luna-python-matcher",
        services=["luna-python-matcher"],
        groupNames=["luna-platform"],
    )

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to remove
    mh.removeLimitation(limitationName="LUNA_MATCHER_PROXY_ACTIVE_PLUGINS")
    mh.removeLimitation(limitationName="LUNA_PYTHON_MATCHER_ACTIVE_PLUGINS")
