"""
Configs migration

Generation datetime: 2022-01-27 09:38:00.134733
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper

REVISION = "095b00c8"
DOWN_REVISION = "4cfc5f13"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_IMAGE_STORE_IMAGES_TIMEOUTS",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-api", "luna-handlers"],
        newServices=["luna-api", "luna-handlers", "luna-tasks"],
    ),
    LimitationToModify(
        limitationName="LUNA_IMAGE_STORE_IMAGES_ADDRESS",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-admin", "luna-api", "luna-handlers"],
        newServices=["luna-admin", "luna-api", "luna-handlers", "luna-tasks"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
