"""

Configs migration



Generation datetime: 2022-10-04 09:47:39.390021

"""

from typing import List

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper


REVISION = "eecb824f"

DOWN_REVISION = "1203c4a5"


limitationsToModify: List[LimitationToModify] = []


externalLimitationsToModify: List[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
