"""
Configs migration

Generation datetime: 2022-12-05 10:12:38.308247
"""

from typing import List

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper

REVISION = "bf637ca5"
DOWN_REVISION = "b7990268"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="EXTERNAL_LUNA_API_ADDRESS",
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers", "luna-tasks"],
        newServices=["luna-api", "luna-handlers", "luna-tasks"],
    ),
]

externalLimitationsToModify: List[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
